emacs-diffs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Emacs-diffs] Changes to emacs/configure


From: Jan Djärv
Subject: [Emacs-diffs] Changes to emacs/configure
Date: Sun, 20 Mar 2005 17:28:55 -0500

Index: emacs/configure
diff -c emacs/configure:1.149 emacs/configure:1.150
*** emacs/configure:1.149       Wed Mar 16 22:21:31 2005
--- emacs/configure     Sun Mar 20 22:28:54 2005
***************
*** 310,316 ****
  # include <unistd.h>
  #endif"
  
! ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME 
PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix 
program_transform_name bindir sbindir libexecdir datadir sysconfdir 
sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir 
build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS MAINT build 
build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS 
LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT LN_S CPP INSTALL_PROGRAM INSTALL_SCRIPT 
INSTALL_DATA RANLIB ac_ct_RANLIB INSTALL_INFO EGREP LIBSOUND SET_MAKE 
PKG_CONFIG GTK_CFLAGS GTK_LIBS ALLOCA liblockfile LIBOBJS NEED_SETGID 
KMEM_GROUP GETLOADAVG_LIBS version configuration canonical srcdir lispdir 
locallisppath lisppath x_default_search_path etcdir archlibdir docdir bitmapdir 
gamedir gameuser c_switch_system c_switch_machine LD_SWITCH_X_SITE 
LD_SWITCH_X_SITE_AUX C_SWITCH_X_SITE X_TOOLKIT_TYPE machfile opsysfile 
carbon_appdir LTLIBOBJS'
  ac_subst_files=''
  
  # Initialize some variables set by options.
--- 310,316 ----
  # include <unistd.h>
  #endif"
  
! ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME 
PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix 
program_transform_name bindir sbindir libexecdir datadir sysconfdir 
sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir 
build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS MAINT build 
build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS 
LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT LN_S CPP INSTALL_PROGRAM INSTALL_SCRIPT 
INSTALL_DATA RANLIB ac_ct_RANLIB INSTALL_INFO EGREP LIBSOUND SET_MAKE 
PKG_CONFIG GTK_CFLAGS GTK_LIBS XFT_CFLAGS XFT_LIBS ALLOCA liblockfile LIBOBJS 
NEED_SETGID KMEM_GROUP GETLOADAVG_LIBS version configuration canonical srcdir 
lispdir locallisppath lisppath x_default_search_path etcdir archlibdir docdir 
bitmapdir gamedir gameuser c_switch_system c_switch_machine LD_SWITCH_X_SITE 
LD_SWITCH_X_SITE_AUX C_SWITCH_X_SITE X_TOOLKIT_TYPE machfile opsysfile 
carbon_appdir LTLIBOBJS'
  ac_subst_files=''
  
  # Initialize some variables set by options.
***************
*** 877,884 ****
    --with-tiff             use -ltiff for displaying TIFF images
    --with-gif              use -lungif for displaying GIF images
    --with-png              use -lpng for displaying PNG images
    --with-gtk              use GTK (same as --with-x-toolkit=gtk)
!   --with-pkg-config-prog  Path to pkg-config to use for finding GTK
    --without-toolkit-scroll-bars
                            don't use Motif or Xaw3d scroll bars
    --without-xim           don't use X11 XIM
--- 877,885 ----
    --with-tiff             use -ltiff for displaying TIFF images
    --with-gif              use -lungif for displaying GIF images
    --with-png              use -lpng for displaying PNG images
+   --with-xft              use -lXft for anti aliased fonts
    --with-gtk              use GTK (same as --with-x-toolkit=gtk)
!   --with-pkg-config-prog  Path to pkg-config to use for finding GTK and Xft
    --without-toolkit-scroll-bars
                            don't use Motif or Xaw3d scroll bars
    --without-xim           don't use X11 XIM
***************
*** 1486,1491 ****
--- 1487,1498 ----
  
  fi;
  
+ # Check whether --with-xft or --without-xft was given.
+ if test "${with_xft+set}" = set; then
+   withval="$with_xft"
+ 
+ fi;
+ 
  # Check whether --with-gtk or --without-gtk was given.
  if test "${with_gtk+set}" = set; then
    withval="$with_gtk"
***************
*** 11194,11199 ****
--- 11201,11547 ----
    CFLAGS=$late_CFLAGS
  fi
  
+ 
+ ### Use -lXft if available, unless `--with-xft=no'.
+ HAVE_XFT=maybe
+ if test "${HAVE_X11}" = "yes"; then
+   if test "${with_xft}" != "no"; then
+ 
+         if test "X${with_pkg_config_prog}" != X; then
+       PKG_CONFIG="${with_pkg_config_prog}"
+     fi
+ 
+ 
+   succeeded=no
+ 
+   if test -z "$PKG_CONFIG"; then
+     # Extract the first word of "pkg-config", so it can be a program name 
with args.
+ set dummy pkg-config; ac_word=$2
+ echo "$as_me:$LINENO: checking for $ac_word" >&5
+ echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+ if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
+   echo $ECHO_N "(cached) $ECHO_C" >&6
+ else
+   case $PKG_CONFIG in
+   [\\/]* | ?:[\\/]*)
+   ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a 
path.
+   ;;
+   *)
+   as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+ for as_dir in $PATH
+ do
+   IFS=$as_save_IFS
+   test -z "$as_dir" && as_dir=.
+   for ac_exec_ext in '' $ac_executable_extensions; do
+   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+     ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
+     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+     break 2
+   fi
+ done
+ done
+ 
+   test -z "$ac_cv_path_PKG_CONFIG" && ac_cv_path_PKG_CONFIG="no"
+   ;;
+ esac
+ fi
+ PKG_CONFIG=$ac_cv_path_PKG_CONFIG
+ 
+ if test -n "$PKG_CONFIG"; then
+   echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
+ echo "${ECHO_T}$PKG_CONFIG" >&6
+ else
+   echo "$as_me:$LINENO: result: no" >&5
+ echo "${ECHO_T}no" >&6
+ fi
+ 
+   fi
+ 
+   if test "$PKG_CONFIG" = "no" ; then
+      echo "*** The pkg-config script could not be found. Make sure it is"
+      echo "*** in your path, or give the full path to pkg-config with"
+      echo "*** the PKG_CONFIG environment variable or --with-pkg-config-prog."
+      echo "*** Or see http://www.freedesktop.org/software/pkgconfig to get 
pkg-config."
+   else
+      PKG_CONFIG_MIN_VERSION=0.9.0
+      if $PKG_CONFIG --atleast-pkgconfig-version $PKG_CONFIG_MIN_VERSION; then
+         echo "$as_me:$LINENO: checking for xft >= 0.13.0" >&5
+ echo $ECHO_N "checking for xft >= 0.13.0... $ECHO_C" >&6
+ 
+         if $PKG_CONFIG --exists "xft >= 0.13.0" ; then
+             echo "$as_me:$LINENO: result: yes" >&5
+ echo "${ECHO_T}yes" >&6
+             succeeded=yes
+ 
+             echo "$as_me:$LINENO: checking XFT_CFLAGS" >&5
+ echo $ECHO_N "checking XFT_CFLAGS... $ECHO_C" >&6
+             XFT_CFLAGS=`$PKG_CONFIG --cflags "xft >= 0.13.0"`
+             echo "$as_me:$LINENO: result: $XFT_CFLAGS" >&5
+ echo "${ECHO_T}$XFT_CFLAGS" >&6
+ 
+             echo "$as_me:$LINENO: checking XFT_LIBS" >&5
+ echo $ECHO_N "checking XFT_LIBS... $ECHO_C" >&6
+             XFT_LIBS=`$PKG_CONFIG --libs "xft >= 0.13.0"`
+             echo "$as_me:$LINENO: result: $XFT_LIBS" >&5
+ echo "${ECHO_T}$XFT_LIBS" >&6
+         else
+             XFT_CFLAGS=""
+             XFT_LIBS=""
+             ## If we have a custom action on failure, don't print errors, but
+             ## do set a variable so people can do so.
+             XFT_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors 
"xft >= 0.13.0"`
+ 
+         fi
+ 
+ 
+ 
+      else
+         echo "*** Your version of pkg-config is too old. You need version 
$PKG_CONFIG_MIN_VERSION or newer."
+         echo "*** See http://www.freedesktop.org/software/pkgconfig";
+      fi
+   fi
+ 
+   if test $succeeded = yes; then
+      :
+   else
+      HAVE_XFT=no
+   fi
+ 
+     if test "$HAVE_XFT" != no; then
+       OLD_CFLAGS="$CPPFLAGS"
+       OLD_CFLAGS="$CFLAGS"
+       OLD_LIBS="$LIBS"
+       CPPFLAGS="$CPPFLAGS $XFT_CFLAGS"
+       CFLAGS="$CFLAGS $XFT_CFLAGS"
+       LIBS="$XFT_LIBS $LIBS"
+       if test "${ac_cv_header_X11_Xft_Xft_h+set}" = set; then
+   echo "$as_me:$LINENO: checking for X11/Xft/Xft.h" >&5
+ echo $ECHO_N "checking for X11/Xft/Xft.h... $ECHO_C" >&6
+ if test "${ac_cv_header_X11_Xft_Xft_h+set}" = set; then
+   echo $ECHO_N "(cached) $ECHO_C" >&6
+ fi
+ echo "$as_me:$LINENO: result: $ac_cv_header_X11_Xft_Xft_h" >&5
+ echo "${ECHO_T}$ac_cv_header_X11_Xft_Xft_h" >&6
+ else
+   # Is the header compilable?
+ echo "$as_me:$LINENO: checking X11/Xft/Xft.h usability" >&5
+ echo $ECHO_N "checking X11/Xft/Xft.h usability... $ECHO_C" >&6
+ cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h.  */
+ _ACEOF
+ cat confdefs.h >>conftest.$ac_ext
+ cat >>conftest.$ac_ext <<_ACEOF
+ /* end confdefs.h.  */
+ $ac_includes_default
+ #include <X11/Xft/Xft.h>
+ _ACEOF
+ rm -f conftest.$ac_objext
+ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+   (eval $ac_compile) 2>conftest.er1
+   ac_status=$?
+   grep -v '^ *+' conftest.er1 >conftest.err
+   rm -f conftest.er1
+   cat conftest.err >&5
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+   (exit $ac_status); } &&
+        { ac_try='test -z "$ac_c_werror_flag"
+                        || test ! -s conftest.err'
+   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+   (eval $ac_try) 2>&5
+   ac_status=$?
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+   (exit $ac_status); }; } &&
+        { ac_try='test -s conftest.$ac_objext'
+   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+   (eval $ac_try) 2>&5
+   ac_status=$?
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+   (exit $ac_status); }; }; then
+   ac_header_compiler=yes
+ else
+   echo "$as_me: failed program was:" >&5
+ sed 's/^/| /' conftest.$ac_ext >&5
+ 
+ ac_header_compiler=no
+ fi
+ rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+ echo "${ECHO_T}$ac_header_compiler" >&6
+ 
+ # Is the header present?
+ echo "$as_me:$LINENO: checking X11/Xft/Xft.h presence" >&5
+ echo $ECHO_N "checking X11/Xft/Xft.h presence... $ECHO_C" >&6
+ cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h.  */
+ _ACEOF
+ cat confdefs.h >>conftest.$ac_ext
+ cat >>conftest.$ac_ext <<_ACEOF
+ /* end confdefs.h.  */
+ #include <X11/Xft/Xft.h>
+ _ACEOF
+ if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+   ac_status=$?
+   grep -v '^ *+' conftest.er1 >conftest.err
+   rm -f conftest.er1
+   cat conftest.err >&5
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+   (exit $ac_status); } >/dev/null; then
+   if test -s conftest.err; then
+     ac_cpp_err=$ac_c_preproc_warn_flag
+     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
+   else
+     ac_cpp_err=
+   fi
+ else
+   ac_cpp_err=yes
+ fi
+ if test -z "$ac_cpp_err"; then
+   ac_header_preproc=yes
+ else
+   echo "$as_me: failed program was:" >&5
+ sed 's/^/| /' conftest.$ac_ext >&5
+ 
+   ac_header_preproc=no
+ fi
+ rm -f conftest.err conftest.$ac_ext
+ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+ echo "${ECHO_T}$ac_header_preproc" >&6
+ 
+ # So?  What about this header?
+ case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+   yes:no: )
+     { echo "$as_me:$LINENO: WARNING: X11/Xft/Xft.h: accepted by the compiler, 
rejected by the preprocessor!" >&5
+ echo "$as_me: WARNING: X11/Xft/Xft.h: accepted by the compiler, rejected by 
the preprocessor!" >&2;}
+     { echo "$as_me:$LINENO: WARNING: X11/Xft/Xft.h: proceeding with the 
compiler's result" >&5
+ echo "$as_me: WARNING: X11/Xft/Xft.h: proceeding with the compiler's result" 
>&2;}
+     ac_header_preproc=yes
+     ;;
+   no:yes:* )
+     { echo "$as_me:$LINENO: WARNING: X11/Xft/Xft.h: present but cannot be 
compiled" >&5
+ echo "$as_me: WARNING: X11/Xft/Xft.h: present but cannot be compiled" >&2;}
+     { echo "$as_me:$LINENO: WARNING: X11/Xft/Xft.h:     check for missing 
prerequisite headers?" >&5
+ echo "$as_me: WARNING: X11/Xft/Xft.h:     check for missing prerequisite 
headers?" >&2;}
+     { echo "$as_me:$LINENO: WARNING: X11/Xft/Xft.h: see the Autoconf 
documentation" >&5
+ echo "$as_me: WARNING: X11/Xft/Xft.h: see the Autoconf documentation" >&2;}
+     { echo "$as_me:$LINENO: WARNING: X11/Xft/Xft.h:     section \"Present But 
Cannot Be Compiled\"" >&5
+ echo "$as_me: WARNING: X11/Xft/Xft.h:     section \"Present But Cannot Be 
Compiled\"" >&2;}
+     { echo "$as_me:$LINENO: WARNING: X11/Xft/Xft.h: proceeding with the 
preprocessor's result" >&5
+ echo "$as_me: WARNING: X11/Xft/Xft.h: proceeding with the preprocessor's 
result" >&2;}
+     { echo "$as_me:$LINENO: WARNING: X11/Xft/Xft.h: in the future, the 
compiler will take precedence" >&5
+ echo "$as_me: WARNING: X11/Xft/Xft.h: in the future, the compiler will take 
precedence" >&2;}
+     (
+       cat <<\_ASBOX
+ ## ------------------------------------------ ##
+ ## Report this to the AC_PACKAGE_NAME lists.  ##
+ ## ------------------------------------------ ##
+ _ASBOX
+     ) |
+       sed "s/^/$as_me: WARNING:     /" >&2
+     ;;
+ esac
+ echo "$as_me:$LINENO: checking for X11/Xft/Xft.h" >&5
+ echo $ECHO_N "checking for X11/Xft/Xft.h... $ECHO_C" >&6
+ if test "${ac_cv_header_X11_Xft_Xft_h+set}" = set; then
+   echo $ECHO_N "(cached) $ECHO_C" >&6
+ else
+   ac_cv_header_X11_Xft_Xft_h=$ac_header_preproc
+ fi
+ echo "$as_me:$LINENO: result: $ac_cv_header_X11_Xft_Xft_h" >&5
+ echo "${ECHO_T}$ac_cv_header_X11_Xft_Xft_h" >&6
+ 
+ fi
+ if test $ac_cv_header_X11_Xft_Xft_h = yes; then
+   echo "$as_me:$LINENO: checking for XftFontOpen in -lXft" >&5
+ echo $ECHO_N "checking for XftFontOpen in -lXft... $ECHO_C" >&6
+ if test "${ac_cv_lib_Xft_XftFontOpen+set}" = set; then
+   echo $ECHO_N "(cached) $ECHO_C" >&6
+ else
+   ac_check_lib_save_LIBS=$LIBS
+ LIBS="-lXft $XFT_LIBS $LIBS"
+ cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h.  */
+ _ACEOF
+ cat confdefs.h >>conftest.$ac_ext
+ cat >>conftest.$ac_ext <<_ACEOF
+ /* end confdefs.h.  */
+ 
+ /* Override any gcc2 internal prototype to avoid an error.  */
+ #ifdef __cplusplus
+ extern "C"
+ #endif
+ /* We use char because int might match the return type of a gcc2
+    builtin and then its argument prototype would still apply.  */
+ char XftFontOpen ();
+ int
+ main ()
+ {
+ XftFontOpen ();
+   ;
+   return 0;
+ }
+ _ACEOF
+ rm -f conftest.$ac_objext conftest$ac_exeext
+ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+   (eval $ac_link) 2>conftest.er1
+   ac_status=$?
+   grep -v '^ *+' conftest.er1 >conftest.err
+   rm -f conftest.er1
+   cat conftest.err >&5
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+   (exit $ac_status); } &&
+        { ac_try='test -z "$ac_c_werror_flag"
+                        || test ! -s conftest.err'
+   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+   (eval $ac_try) 2>&5
+   ac_status=$?
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+   (exit $ac_status); }; } &&
+        { ac_try='test -s conftest$ac_exeext'
+   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+   (eval $ac_try) 2>&5
+   ac_status=$?
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+   (exit $ac_status); }; }; then
+   ac_cv_lib_Xft_XftFontOpen=yes
+ else
+   echo "$as_me: failed program was:" >&5
+ sed 's/^/| /' conftest.$ac_ext >&5
+ 
+ ac_cv_lib_Xft_XftFontOpen=no
+ fi
+ rm -f conftest.err conftest.$ac_objext \
+       conftest$ac_exeext conftest.$ac_ext
+ LIBS=$ac_check_lib_save_LIBS
+ fi
+ echo "$as_me:$LINENO: result: $ac_cv_lib_Xft_XftFontOpen" >&5
+ echo "${ECHO_T}$ac_cv_lib_Xft_XftFontOpen" >&6
+ if test $ac_cv_lib_Xft_XftFontOpen = yes; then
+   HAVE_XFT=yes
+ fi
+ 
+ fi
+ 
+ 
+ 
+       if test "${HAVE_XFT}" = "yes"; then
+ 
+ cat >>confdefs.h <<\_ACEOF
+ #define HAVE_XFT 1
+ _ACEOF
+ 
+ 
+         C_SWITCH_X_SITE="$C_SWITCH_X_SITE $XFT_CFLAGS"
+       else
+         CFLAGS="$OLD_CPPFLAGS"
+         CFLAGS="$OLD_CFLAGS"
+         LIBS="$OLD_LIBS"
+       fi
+     fi
+   fi
+ fi
+ 
+ 
  ### Use -lXpm if available, unless `--with-xpm=no'.
  HAVE_XPM=no
  if test "${HAVE_X11}" = "yes"; then
***************
*** 22686,22691 ****
--- 23034,23041 ----
  s,@PKG_CONFIG@,$PKG_CONFIG,;t t
  s,@GTK_CFLAGS@,$GTK_CFLAGS,;t t
  s,@GTK_LIBS@,$GTK_LIBS,;t t
+ s,@XFT_CFLAGS@,$XFT_CFLAGS,;t t
+ s,@XFT_LIBS@,$XFT_LIBS,;t t
  s,@ALLOCA@,$ALLOCA,;t t
  s,@liblockfile@,$liblockfile,;t t
  s,@LIBOBJS@,$LIBOBJS,;t t




reply via email to

[Prev in Thread] Current Thread [Next in Thread]